1. Product List
Affiliate.com API Documentation
  • Affiliate.com API Endpoints
    • Account
      • Get User Team Account Information
    • Network Groups
      • List All Network Groups
    • Networks
      • List All Networks
      • Get Single Specific Network
    • Merchants
      • List All Merchants
      • Get Single Specific Merchant Name
      • Get a Single Specific Merchant ID
    • Products
      • Search Products
    • Omni
      • Omni
    • Conversion
      • URL to Barcode
      • Barcode to SKU
      • ASIN to Barcode
      • SKU to Barcode
      • Barcode to ASIN
    • Watch
      • Set Product Watch
      • Get All Product Watches
      • Get Specific Product Watch
      • Get Specific Product Watch from Metadata
      • Edit Product Watch
      • Delete Product Watch
      • Get Single Product Watch Notification History
      • Get Product Watch Notification History via Metadata
    • Product List
      • Create Product List
        POST
      • Get Product Lists
        GET
      • Get Single List
        GET
      • Get List By Metadata
        GET
      • Add Products to a List
        POST
      • Remove Products from a List
        DELETE
      • Delete Product List
        DELETE
  1. Product List

Remove Products from a List

Testing
DELETE
/v1/products/lists/{list_id}/products

Request

Path Params

Header Params

Body Params application/json

Example
{
    "product_ids": [
        "8099982740095203709",
        "8099982740095203708"
    ]
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request DELETE '/v1/products/lists//products' \
--header 'Authorization: Bearer {{token}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "product_ids": [
        "8099982740095203709",
        "8099982740095203708"
    ]
}'

Responses

🟢200Success
application/json
Body

Example
{
    "list_id": "9e6f10b8-982e-4c3b-b09d-59019fe6117c",
    "removed_product_ids": [
        "8099982740095203709"
    ],
    "ignored_product_ids": [
        "8099982740095203708"
    ],
    "meta": {
        "trace_id": "01959735-9763-73f9-b6a4-837a2a4086af"
    }
}
🟠429Rate Limit Exceeded
Modified at 2025-04-21 14:56:34
Previous
Add Products to a List
Next
Delete Product List